/* Layout */
.single__phytopratique section + section {
    margin-top: 4rem;
}

/* Hero */
.hero-phytopratique {
    position: relative;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    flex-direction: column;
    width: 100%;
    height: 100%;
    min-height: 50dvh;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    overflow: hidden;
}

.hero-phytopratique .wrapper {
    display: flex;
    justify-content: flex-end;
    align-items: flex-start;
    flex-direction: column;
    width: 100%;
    max-width: 1200px;
    height: fit-content;
    padding: 0 1rem;
    z-index: 1;
}

.hero-phytopratique__petale {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    max-width: 500px;
    margin-bottom: -120px;
}

.hero-phytopratique__petale svg {
    width: 100%;
    height: auto;
}

.hero-phytopratique__petale .phytopratique-item {
    position: absolute;
    top: 45%;
    transform: translateY(-50%) scale(1.2);
}

.hero-phytopratique__gradient {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 80%;
    background: linear-gradient(0deg, var(--c-vert-900) 20%, rgba(0, 0, 0, 0) 80%);
    z-index: 0;
}

.phytopratique-item__image--domaine {
    position: relative;
    color: #FFFFFF;
    font-size: 20px;
    text-transform: uppercase;
    font-weight: 600;
    font-family: "Monteserrat", sans-serif;
    border: 1px solid;
    border-bottom-left-radius: 24px;
    padding: .3rem 2rem .3rem 1rem;
    width: 100%;
    max-width: fit-content;
    z-index: 1;
}

.phytopratique-item__image--title {
    font-size: 20px;
    text-transform: uppercase;
    font-weight: 600;
    font-family: "Monteserrat", sans-serif;
    border: 1px solid #FFFFFF;
    border-bottom-left-radius: 24px;
    border-top-right-radius: 24px;
    padding: .3rem 1rem .3rem 1rem;
    margin: 0 0 0 20px;
    display: block;
    width: 100%;
    max-width: fit-content;
    background-color: #FFFFFF;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.25);
    z-index: 0;
}

.phytopratique-item__image--icon {
    position: absolute;
    top: -10px;
    left: calc(100% - 1rem);
    display: flex;
    width: 80px;
    z-index: 2;
}

/* Configuration des couleurs par domaine */
.phytopratique-item[data-domaine="dechets"],
.single__phytopratique[data-domaine="dechets"] {
    --phyto-bg: var(--c-vert-900);
    --phyto-text: var(--c-vert-900);
}

.phytopratique-item[data-domaine="environnement"],
.single__phytopratique[data-domaine="environnement"] {
    --phyto-bg: var(--c-vert-300);
    --phyto-text: var(--c-vert-300);
}

.phytopratique-item[data-domaine="etiquetage"],
.single__phytopratique[data-domaine="etiquetage"] {
    --phyto-bg: var(--c-violet-500);
    --phyto-text: var(--c-violet-500);
}

.phytopratique-item[data-domaine="hygiene"],
.single__phytopratique[data-domaine="hygiene"] {
    --phyto-bg: var(--c-bleu-500);
    --phyto-text: var(--c-bleu-500);
}

.phytopratique-item[data-domaine="local-de-stockage"],
.single__phytopratique[data-domaine="local-de-stockage"] {
    --phyto-bg: #996130;
    --phyto-text: #996130;
}

.phytopratique-item[data-domaine="machinisme-agricole"],
.single__phytopratique[data-domaine="machinisme-agricole"] {
    --phyto-bg: #76b928;
    --phyto-text: #76b928;
}

.phytopratique-item[data-domaine="protection-individuelle"],
.single__phytopratique[data-domaine="protection-individuelle"] {
    --phyto-bg: #ab577b;
    --phyto-text: #ab577b;
}

.phytopratique-item[data-domaine="reglementation"],
.single__phytopratique[data-domaine="reglementation"] {
    --phyto-bg: #3d3c3a;
    --phyto-text: var(--c-vert-100);
}

.phytopratique-item[data-domaine="securite"],
.single__phytopratique[data-domaine="securite"] {
    --phyto-bg: var(--c-orange-900);
    --phyto-text: var(--c-orange-500);
}

/* Styles appliqués à tous les domaines */
.phytopratique-item__image--domaine {
    background-color: var(--phyto-bg);
    border-color: var(--phyto-bg);
}

.phytopratique-item__image--title {
    color: var(--phyto-text);
}

/* Section - Subhero */
.subhero-phytopratique .wrapper {
    width: 100%;
    max-width: 1200px;
    padding: 0 1rem;
    margin: 0 auto;
}

.subhero-phytopratique__title {
    font-family: "Monteserrat", sans-serif;
    font-size: 42px;
    text-wrap-style: balance;
    color: var(--phyto-text, var(--c-noir-900));
    font-weight: 900;
    margin: 1rem 0;
    padding: 0;
    line-height: 1.1;
}

.subhero-phytopratique__content {
    color: var(--c-noir-900);
    font-size: 18px;
    font-weight: 500;
    text-wrap-style: balance;
    font-family: "Monteserrat", sans-serif;
}

/* Section texte */
.section-texte .wrapper {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 1rem;
}

.section-texte__title {
    font-family: "Monteserrat", sans-serif;
    font-size: 2rem;
    font-weight: 600;
    color: var(--c-noir-900);
    margin: 0;
    padding: 0;
    text-wrap-style: balance;
}

.section-texte__content {
    margin-top: 1rem;
    font-weight: 500;
}

.section-texte__content * {
    color: var(--c-noir-900);
    font-size: 16px;
    font-weight: 600;
}

/* Section — Conseil */
.section-conseil .wrapper {
    position: relative;
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 4rem 1rem;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
    background-color: rgb(236 160 38 / 0.2);
    border-radius: 0 40px 40px 0;
    min-height: 400px;
}

.section-conseil .wrapper::before {
    content: "";
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background-color: rgb(236 160 38 / 0.2);
}

.section-conseil__title {
    font-family: "Monteserrat", sans-serif;
    font-size: 2rem;
    font-weight: 600;
    color: var(--c-vert-900);
    margin: 0 0 1rem 0;
    padding: 0;
    text-wrap-style: balance;
}

.section-conseil__content * {
    color: var(--c-noir-900);
    font-size: 16px;
    font-weight: 600;
}

.section-conseil__cta {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.petale-verte {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 180px;
    transform: translate(calc(-50% - 60px), calc(-50% - 110px));
    z-index: 1;
    mix-blend-mode: multiply;
}

.petale-marron {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 400px;
    transform: translate(-50%, -50%);
}

.section-conseil__dl {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    z-index: 1;
    color: #FFFFFF;
    font-size: 18px;
    max-width: 300px;
    text-align: center;
    text-decoration: none;
    transition: color .2s ease-in-out;
}

.section-conseil__dl span:nth-child(2) {
    font-weight: 700;
}

.section-conseil__dl:hover {
    color: var(--c-vert-300);
}

.section-conseil__dl svg {
    position: absolute;
    bottom: -40px;
}

/* Section — Related */
.related-phytopratique .wrapper {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 1rem;
}

.related-phytopratique__title {
    font-size: 2rem;
    font-weight: 600;
    text-align: center;
    font-family: "Monteserrat", sans-serif;
    color: var(--c-noir-900);
    margin: 0 auto 2rem auto;
    max-width: 700px;
    text-wrap-style: balance;
}

.related-phytopratique__title span {
    color: var(--c-orange-500);
}

.related-phytopratique__grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    column-gap: 2rem;
    row-gap: 4rem;
    margin: 2rem 0 0 0;
}

.phytopratique-item__image--domaine {
    position: relative;
    color: #FFFFFF;
    font-size: 20px;
    text-transform: uppercase;
    font-weight: 600;
    font-family: "Monteserrat", sans-serif;
    border: 1px solid;
    border-bottom-left-radius: 24px;
    padding: .3rem 2rem .3rem 1rem;
    width: 100%;
    max-width: fit-content;
    z-index: 1;
}

.phytopratique-item__image--title {
    font-size: 20px;
    text-transform: uppercase;
    font-weight: 600;
    font-family: "Monteserrat", sans-serif;
    border: 1px solid #FFFFFF;
    border-bottom-left-radius: 24px;
    border-top-right-radius: 24px;
    padding: .3rem 1rem .3rem 1rem;
    margin: 0 0 0 20px;
    display: block;
    width: 100%;
    max-width: fit-content;
    background-color: #FFFFFF;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.25);
    z-index: 0;
}

.phytopratique-item__image--icon {
    position: absolute;
    top: -10px;
    left: calc(100% - 1rem);
    display: flex;
    width: 80px;
    z-index: 2;
}

.phytopratique-item__title {
    font-family: "Monteserrat", sans-serif;
    font-size: 24px;
    color: var(--c-noir-900);
    font-weight: 500;
    margin: 1rem 0 .5rem 0;
    padding: 0;
    line-height: 1;
    min-height: 50px;
}

.phytopratique-item__excerpt {
    color: var(--c-noir-900);
    font-size: 16px;
    font-weight: 400;
    margin: 0 0 .5rem 0;
    min-height: 80px;
}

.phytopratique-item__button {
    color: var(--c-noir-900);
    font-size: 14px;
    padding: .5rem 2rem;
    border: 1px solid var(--c-noir-900);
    border-radius: 30px;
    transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, border-color 0.2s ease-in-out;
}

.phytopratique-item:hover .phytopratique-item__button {
    background-color: var(--phyto-bg, var(--c-vert-300));
    color: #FFFFFF;
    border-color: var(--phyto-bg, var(--c-vert-300));
}

.phytopratique-item__title {
    transition: color 0.2s ease-in-out;
}

.phytopratique-item:hover .phytopratique-item__title {
    color: var(--phyto-bg, var(--c-vert-300));
}

/* Section GoBack */
.section-goback .wrapper {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 1rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.section-goback__link {
    padding: 1rem 3rem;
    color: #FFFFFF;
    background-color: var(--c-violet-500);
    font-weight: 600;
    text-transform: uppercase;
    border: 1px solid var(--c-violet-500);
    transition: color .2s ease-in-out, background-color .2s ease-in-out;
}

.section-goback__link:hover {
    color: var(--c-violet-500);
    background-color: #FFFFFF;
}

.section-texte__content h1:not(:first-child),
.section-texte__content h2:not(:first-child),
.section-texte__content h3:not(:first-child),
.section-texte__content h4:not(:first-child),
.section-texte__content h5:not(:first-child),
.section-texte__content h6:not(:first-child),
.section-conseil__content h1:not(:first-child),
.section-conseil__content h2:not(:first-child),
.section-conseil__content h3:not(:first-child),
.section-conseil__content h4:not(:first-child),
.section-conseil__content h5:not(:first-child),
.section-conseil__content h6:not(:first-child) {
    margin-top: 2rem;
}

@media screen and (max-width: 768px) {
    .hero-phytopratique {
        justify-content: center;
        min-height: 40dvh;
    }

    .hero-phytopratique .wrapper {
        justify-content: center;
        align-items: center;
        height: auto;
    }

    .hero-phytopratique__petale {
        margin: 0 auto;
        max-width: 320px;
    }

    .hero-phytopratique__petale svg {
        width: 100%;
        max-width: 100%;
        height: auto;
    }

    .hero-phytopratique__petale .phytopratique-item {
        left: 50%;
        transform: translate(-50%, -50%) scale(.95);
    }

    .hero-phytopratique__petale .phytopratique-item__image {
        transform: none;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .hero-phytopratique__petale .phytopratique-item__image--domaine,
    .hero-phytopratique__petale .phytopratique-item__image--title {
        font-size: 18px;
        white-space: nowrap;
    }

    .hero-phytopratique__petale .phytopratique-item__image--domaine {
        padding: .3rem 1.75rem .3rem 1rem;
    }

    .hero-phytopratique__petale .phytopratique-item__image--title {
        margin-left: 0;
        padding: .3rem 1rem;
    }

    .hero-phytopratique__petale .phytopratique-item__image--icon {
        width: 48px;
        top: -8px;
        left: calc(100% - 1rem);
    }

    .subhero-phytopratique__title {
        font-size: 32px;
    }

    .section-conseil .wrapper {
        grid-template-columns: 1fr;
        gap: 10rem;
    }

    .petale-verte {
        width: 120px;
        transform: translate(calc(-50% - 50px), calc(-50% - 100px));
    }

    .petale-marron {
        width: 350px;
    }

    .section-conseil__dl {
        font-size: 16px;
    }

    .related-phytopratique__title {
        font-size: 1.4rem;
    }

    .related-phytopratique__grid {
        display: flex;
        flex-wrap: nowrap;
        overflow-x: auto;
        overflow-y: visible;
        scroll-snap-type: x mandatory;
        column-gap: 1rem;
        row-gap: 0;
        margin: 2rem -1rem 0;
        padding: 1rem 1.25rem;
        scroll-padding-left: 1.25rem;
        scrollbar-width: none;
        -webkit-overflow-scrolling: touch;
    }

    .related-phytopratique__grid::-webkit-scrollbar {
        display: none;
    }

    .related-phytopratique__grid > * {
        flex: 0 0 78%;
        min-width: 78%;
        scroll-snap-align: start;
    }

    .section-goback__link {
        padding: 1rem;
    }

    .section-goback__link {
        padding: 1rem;
        font-size: 14px;
    }
}